Bug 1265777 - No DNS servers set on the overcloud nodes
No DNS servers set on the overcloud nodes
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity urgent
: y1
: 7.0 (Kilo)
Assigned To: Dan Prince
Marius Cornea
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-23 13:51 EDT by Marius Cornea
Modified: 2015-10-08 08:19 EDT (History)
7 users (show)

See Also:
Fixed In Version: openstack-tripleo-heat-templates-0.8.6-67.el7ost, os-net-config-0.1.4-4.el7ost
Doc Type: Release Note
Doc Text:
When using static IP's on the ctlpane network, DNS must be configured on the Overcloud nodes. Previously, DHCP provided the configured DNS servers for the Overcloud nodes. To configure DNS when using static IPs set the new DnsServers parameter and include it in the Heat environment like so: parameter_defaults: DnsServers: - <dns server ip address> - <dns server ip address 2> Use IP addresses for the DNS servers to use. You can only specify either one or two DNS servers.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-08 08:19:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 226968 None None None Never
OpenStack gerrit 226981 None None None Never

  None (edit)
Description Marius Cornea 2015-09-23 13:51:00 EDT
Description of problem:
Since we are now assigning the IP addresses statically on the overcloud nodes the DNS server that was passed by the ctlplane network dhcp server won't be set on the overcloud nodes.

Version-Release number of selected component (if applicable):
18.09 puddle

How reproducible:
100%

Steps to Reproduce:
1. Deploy overcloud with network isolation using network env similar to
https://github.com/redhat-openstack/khaleesi-settings/blob/master/hardware_environments/virt/network_configs/single_nic_vlans/single_nic_vlans.yml

Actual results:
No DNS server is set on the overcloud nodes

Expected results:
We should be able to set the DNS server on the overcloud nodes via a parameter.
Comment 2 James Slagle 2015-09-23 14:22:45 EDT
sounds like a blocker to me, as there is no straightforward way to specify a dns server for the overcloud nodes
Comment 3 Dan Prince 2015-09-23 16:33:12 EDT
Okay. Two new upstream patches should solve this:


https://review.openstack.org/#/c/226968/ (ifcfg: Add support for dns_servers)

and

https://review.openstack.org/#/c/226981/ (Add DnsServers param to network config templates)
Comment 4 James Slagle 2015-09-23 20:54:40 EDT
to set the new parameter include the following in the Heat environment:

parameter_defaults:
  DnsServers:
    - <dns server ip address>
    - <dns server ip address 2>

use the ip addresses for the dns server you want to use. you can specify only one if desired or 2.
Comment 6 Alexander Chuzhoy 2015-09-25 18:22:04 EDT
Deployed with openstack-tripleo-heat-templates-0.8.6-69.el7ost.noarch

The yaml file included the following:
parameter_defaults:                                          
  DnsServers: ["x.x.x.x","x.x.x.x"] 

1. The deployed servers use static IP addresses 
2. The file /etc/resolv.conf has the respective entries.
3. The respective NIC config file has DNS1=x.x.x.x and DNS2=x.x.x.x
Comment 7 Marius Cornea 2015-09-28 17:11:33 EDT
stack@instack:~>>> cat templates/network-environment.yaml 
resource_registry:
  OS::TripleO::BlockStorage::Net::SoftwareConfig: /home/stack/templates/nic-configs/cinder-storage.yaml
  OS::TripleO::Compute::Net::SoftwareConfig: /home/stack/templates/nic-configs/compute.yaml
  OS::TripleO::Controller::Net::SoftwareConfig: /home/stack/templates/nic-configs/controller.yaml
  OS::TripleO::ObjectStorage::Net::SoftwareConfig: /home/stack/templates/nic-configs/swift-storage.yaml
  OS::TripleO::CephStorage::Net::SoftwareConfig: /home/stack/templates/nic-configs/ceph-storage.yaml

parameter_defaults:
  InternalApiNetCidr: 172.16.20.0/24
  StorageNetCidr: 172.16.21.0/24
  StorageMgmtNetCidr: 172.16.19.0/24
  TenantNetCidr: 172.16.22.0/24
  ExternalNetCidr: 172.16.23.0/24
  InternalApiAllocationPools: [{'start': '172.16.20.10', 'end': '172.16.20.100'}]
  StorageAllocationPools: [{'start': '172.16.21.10', 'end': '172.16.21.100'}]
  StorageMgmtAllocationPools: [{'start': '172.16.19.10', 'end': '172.16.19.100'}]
  TenantAllocationPools: [{'start': '172.16.22.10', 'end': '172.16.22.100'}]
  ExternalAllocationPools: [{'start': '172.16.23.10', 'end': '172.16.23.100'}]
  ExternalInterfaceDefaultRoute: 172.16.23.251
  NeutronExternalNetworkBridge: "''"
  ControlPlaneSubnetCidr: "24"
  ControlPlaneDefaultRoute: 192.0.2.1
  EC2MetadataIp: 192.0.2.1
  DnsServers: ["10.16.36.29","10.11.5.19"]  
stack@instack:~>>> nova list
+--------------------------------------+---------------------------+--------+------------+-------------+---------------------+
| ID                                   | Name                      | Status | Task State | Power State | Networks            |
+--------------------------------------+---------------------------+--------+------------+-------------+---------------------+
| 2213d240-9cc2-4a3f-b278-03bb3e410605 | overcloud-blockstorage-0  | ACTIVE | -          | Running     | ctlplane=192.0.2.17 |
| 6e3e5a83-20b1-4427-9ba4-5e7538a01eff | overcloud-cephstorage-0   | ACTIVE | -          | Running     | ctlplane=192.0.2.16 |
| f84ad95c-1d75-4815-8158-49523d8d019c | overcloud-compute-0       | ACTIVE | -          | Running     | ctlplane=192.0.2.18 |
| 1df144da-bb22-4108-93e7-19da7e6dcd81 | overcloud-controller-0    | ACTIVE | -          | Running     | ctlplane=192.0.2.19 |
| 6f97feae-bfe3-40b2-a0fd-bf16bd975aa4 | overcloud-objectstorage-0 | ACTIVE | -          | Running     | ctlplane=192.0.2.15 |
+--------------------------------------+---------------------------+--------+------------+-------------+---------------------+
stack@instack:~>>> for server in `nova list | grep ctlplane | awk -F '=' {'print $2'} | sed s/\|//`; do echo $server; ssh heat-admin@$server 'grep ^nameserver /etc/resolv.conf';done 
192.0.2.17
nameserver 10.16.36.29
nameserver 10.11.5.19
192.0.2.16
nameserver 10.16.36.29
nameserver 10.11.5.19
192.0.2.18
nameserver 10.16.36.29
nameserver 10.11.5.19
192.0.2.19
nameserver 10.16.36.29
nameserver 10.11.5.19
192.0.2.15
nameserver 10.16.36.29
nameserver 10.11.5.19
Comment 9 errata-xmlrpc 2015-10-08 08:19:38 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1862

Note You need to log in before you can comment on or make changes to this bug.